<?php

namespace app\api\controller;

use think\Db;

/**
 * 举报相关
 *
 * Class Report
 * @package app\api\controller
 */
class Report extends Base
{
    /**
     * 添加举报
     *
     * @return string
     */
    public function add()
    {
        $post = $this->_post();
        // 检查必要字段是否为空
        $required = ['report_id', 'content'];
        foreach ($required as $key) {
            if (empty($post[$key])) {
                return $this->json(1, "缺少参数");
            }
        }

        $uid       = $post['login_uid'];
        $report_id = $post['report_id'];
        $content   = $post['content'];

        Db::table('report')->insert([
            'uid'       => $uid,
            'report_id' => $report_id,
            'content'   => $content,
            'timestamp' => time()
        ]);

        return $this->json(0);
    }

}
