<?php
/**
 * Handler File Class
 *
 * @author liliang <liliang@wolive.cc>
 * @email liliang@wolive.cc
 * @date 2017/06/01
 */

namespace app\api\model;

use think\Model;
use think\Db;

/**
 * 推送相关服务
 */
class Gateway extends Model
{

    /**
     * 调用推送
     *
     * @param $channel
     * @param $event
     * @param $data
     *
     * @return array
     */
    public static function sendToGroup($channel, $event, $data)
    {
        static $register_address = '';
        if (!$register_address) {
            $setting = Db::table('setting')->field('api_address')->find();
            $register_address = $setting['api_address'];
            if ($pos = strpos($register_address, '://')) {
                $register_address = substr($register_address, $pos+3);
            }
            \Gateway::$registerAddress = $register_address;
        }
        \Gateway::sendToGroup($channel, json_encode([$event, $data, $channel], JSON_UNESCAPED_SLASHES|JSON_UNESCAPED_UNICODE));
        return ['status'=>200];
    }

}
